/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.modules.taxonomy.ui;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Locale;

import org.olat.modules.taxonomy.TaxonomyCompetence;
import org.olat.modules.taxonomy.TaxonomyCompetenceTypes;
import org.olat.user.UserPropertiesRow;
import org.olat.user.propertyhandlers.UserPropertyHandler;

/**
 * 
 * Initial date: 3 Oct 2017<br>
 * @author srosse, stephane.rosse@frentix.com, http://www.frentix.com
 *
 */
public class TaxonomyLevelCompetenceRow extends UserPropertiesRow {
	
	private final TaxonomyCompetenceTypes type;
	private final TaxonomyCompetence competence;

	public TaxonomyLevelCompetenceRow(TaxonomyCompetence competence, List<UserPropertyHandler> userPropertyHandlers, Locale locale) {
		super(competence.getIdentity(), userPropertyHandlers, locale);
		this.competence = competence;
		type = competence.getCompetenceType();
	}
	
	public Long getKey() {
		return competence.getKey();
	}

	public TaxonomyCompetenceTypes getCompetenceType() {
		return type;
	}
	
	public BigDecimal getAchievement() {
		return competence.getAchievement();
	}
	
	public BigDecimal getReliability() {
		return competence.getReliability();
	}
	
	public Date getExpiration() {
		return competence.getExpiration();
	}
	
	public TaxonomyCompetence getCompetence() {
		return competence;
	}
}
